> ## Documentation Index
> Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a currency



## OpenAPI

````yaml /openapi_v4_core.json get /v4/core/companies/{companyId}/currencies/{id}
openapi: 3.0.0
info:
  title: Commenda Integrations V4 API
  description: Commenda Integrations — unified accounting, commerce, and CRM API.
  version: 4.0.0
  contact: {}
servers:
  - url: https://api.integrations.commenda.io
    description: Production
security:
  - api_key: []
tags: []
paths:
  /v4/core/companies/{companyId}/currencies/{id}:
    get:
      tags:
        - Accounting
      summary: Get a currency
      operationId: get_currencies
      parameters:
        - name: companyId
          in: path
          required: true
          description: Commenda company id.
          schema:
            type: integer
        - name: id
          in: path
          required: true
          description: The record's rootfi_id.
          schema:
            type: integer
        - name: expand
          in: query
          required: false
          description: Comma-separated related resources to expand.
          schema:
            type: string
      responses:
        '200':
          description: A single currencies record.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      data:
                        $ref: '#/components/schemas/Currency'
                    required:
                      - data
                  request_id:
                    type: string
                required:
                  - data
                  - request_id
components:
  schemas:
    Currency:
      type: object
      properties:
        rootfi_id:
          type: integer
          description: Unique identifier assigned by Commenda for this currency
        rootfi_created_at:
          type: string
          format: date-time
          description: >-
            Timestamp when this record was created in Commenda's system (ISO
            8601)
        rootfi_updated_at:
          type: string
          format: date-time
          description: >-
            Timestamp when this record was last updated in Commenda's system
            (ISO 8601)
        rootfi_integration_type:
          type: string
          enum:
            - BUSY
            - CLEARBOOKS
            - FREEAGENT
            - FRESHBOOKS
            - KASHFLOW
            - MEKARI_JURNAL
            - MS_DYNAMICS_365
            - MS_DYNAMICS_365_FO
            - MYOB_BUSINESS
            - NETSUITE
            - ODOO_ACCOUNTING
            - QOYOD
            - QUICKBOOKS
            - QUICKBOOKS_SANDBOX
            - ROOTFI_SANDBOX
            - SAGE_CLOUD_ACCOUNTING
            - SAGE_ZA_CLOUD_ACCOUNTING
            - SAGE_INTACCT
            - TALLY
            - WAFEQ
            - WAVE
            - XERO
            - ZOHO_BOOKS
            - PUZZLE_SANDBOX
            - PUZZLE
            - RILLET
            - RILLET_SANDBOX
            - AMAZON
            - BIG_COMMERCE
            - SHOPIFY
            - SQUARESPACE
            - WIX
            - WOO_COMMERCE
            - GOOGLE_PLAYSTORE
            - CHARGEBEE
            - MOLLIE
            - PAYPAL
            - PAYPAL_SANDBOX
            - RAZORPAY
            - SQUARE
            - SQUARE_SANDBOX
            - STRIPE
            - STRIPE_TEST
            - STRIPE_SANDBOX
            - ZOHO_INVOICE
            - PADDLE
            - PADDLE_SANDBOX
            - HUBSPOT
            - PIPEDRIVE
            - SALES_FORCE
            - ZOHO_CRM
            - GUSTO
        platform_id:
          type: string
          description: >-
            Unique identifier for this currency in the source accounting
            platform
        name:
          type: string
          nullable: true
          description: The name of the currency
        code:
          type: string
          nullable: true
          description: The ISO-4217 currency code
        symbol:
          type: string
          nullable: true
          description: The symbol that represents the currency
        is_base_currency:
          type: boolean
          nullable: true
          description: Whether the currency is the base currency for the company
        exchange_rate:
          type: number
          nullable: true
          description: The exchange rate for the currency
        updated_at:
          type: string
          format: date-time
          nullable: true
          description: The date and time the currency was last updated
      required:
        - rootfi_id
        - rootfi_created_at
        - rootfi_updated_at
        - rootfi_integration_type
        - platform_id
      description: >-
        The Currencies Data Model streamlines access to currency information
        across various accounting platforms, providing a consistent and unified
        representation of currency data.
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: api_key
      description: Your Commenda Integrations API key, sent in the `api_key` header.

````